SweaveSyntConv             package:utils             R Documentation

Convert Sweave Syntax

Description:

     This function converts the syntax of files in 'Sweave' format to
     another Sweave syntax definition.

Usage:

     SweaveSyntConv(file, syntax, output=NULL)

Arguments:

    file: Name of Sweave source file.

  syntax: An object of class 'SweaveSyntax' or a character string with
          its name giving the target syntax to which the file is
          converted.

  output: Name of output file, default is to remove the extension from
          the input file and to add the default extension of the target
          syntax. Any directory names in 'file' are also removed such
          that the output is created in the current working directory.

Author(s):

     Friedrich Leisch

References:

     Friedrich Leisch: Sweave User Manual, 2002
      <URL: http://www.ci.tuwien.ac.at/~leisch/Sweave>

See Also:

     'RweaveLatex', 'Rtangle'

Examples:

     testfile <- system.file("Sweave", "Sweave-test-1.Rnw", package = "utils")

     ## convert the file to latex syntax
     SweaveSyntConv(testfile, SweaveSyntaxLatex)

     ## and run it through Sweave
     Sweave("Sweave-test-1.Stex")

